MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028248Community[OCCT] OCCT:Modeling Algorithmspublic2016-12-20 00:432018-02-20 12:58
Reporterdipts 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0028248: [Regression] HLR Algo result is retrieved from the last added shape only
DescriptionFound in OCCT 7.1.0 as a regression to 7.0.0.

If multiple shapes are added to HLRBRep_Algo, the extract comound shape (via HLRBRep_HLRToShape) does contain edges from the last added shape only. If the first shape is given as reference shape to the *Compound function, the result is empty. If the shapes are added in reversed order, the result will also change to the then last shape. The hidden line removal itself seems to be correct.
Steps To Reproducepload VISUALIZATION
pload MODELING

box b1 -10 -10 0 20 20 5
pcylinder c1 5 10

hprj proj 0 0 0 0 1 0 0 0 1

houtl b1_outl b1
hfill b1_outl proj 0
hload b1_outl

houtl c1_outl c1
hfill c1_outl proj 0
hload c1_outl

hsetprj proj
hupdate
hhide
hres2d

compound vl v1l vnl vol vil hl h1l hnl hol hil result

vinit
vdisplay result
vaxo
vfit
TagsNo tags attached.
Test case numberbugs modalg_7 bug28248
Attached Filespng file icon HLR_MultiShape.png (50,029 bytes) 2016-12-20 00:43
? file icon MultiShape.tcl (337 bytes) 2016-12-20 00:44
patch file icon 0028248.patch (475 bytes) 2017-12-19 15:07

- Relationships

-  Notes
(0073035)
dipts (developer)
2017-12-19 15:11

This error can be fixed with the applied patch. The change is extremely small, so I hope I can contribute this way. The result is still different to 7.0.0 but it looks more correct, and the basic error (result from only the first shape) is resolved.

Please review and integrate into 7.2.1.
(0073036)
git (administrator)
2017-12-19 16:01

Branch CR28248 has been created by msv.

SHA-1: fba572e59cb1ff610547ffc45347a241e5aeaede


Detailed log of new commits:

Author: msv
Date: Tue Dec 19 16:01:06 2017 +0300

    0028248: [Regression] HLR Algo result is retrieved from the last added shape only
    
    Mistakes in retrieving of HLRBRep_EdgeData by value instead of reference have been corrected.
(0073037)
msv (developer)
2017-12-19 16:05

Dear dipts, thank you for the patch. It will be tested.
(0073039)
msv (developer)
2017-12-20 09:37

Reviewed.
(0073040)
bugmaster (administrator)
2017-12-20 10:18

Combination -
OCCT branch : CR28248 SHA - fba572e59cb1ff610547ffc45347a241e5aeaede
Products branch : master SHA - 7dd72d4f1950334b6651e7f7b2df4ce8c6d6948e
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18448.209999999675 / 18433.219999999703 [+0.08%]
Products
Total CPU difference: 7495.060000000016 / 7463.390000000005 [+0.42%]
Windows-64-VC10:
OCCT
Total CPU difference: 17896.52832059851 / 17919.14846559861 [-0.13%]
Products
Total CPU difference: 7973.273510400013 / 7985.956391699999 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0073305)
git (administrator)
2018-01-11 11:10

Branch CR28248 has been deleted by kgv.

SHA-1: fba572e59cb1ff610547ffc45347a241e5aeaede

- Related Changesets
occt: master 0ab4e621
Timestamp: 2017-12-19 13:01:06
Author: msv
Committer: bugmaster
Details ] Diff ]
0028248: [Regression] HLR Algo result is retrieved from the last added shape only

Mistakes in retrieving of HLRBRep_EdgeData by value instead of reference have been corrected.
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug28248 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-20 00:43 dipts New Issue
2016-12-20 00:43 dipts Assigned To => msv
2016-12-20 00:43 dipts File Added: HLR_MultiShape.png
2016-12-20 00:44 dipts File Added: MultiShape.tcl
2016-12-20 09:47 msv Assigned To msv => jgv
2016-12-20 09:47 msv Status new => assigned
2016-12-20 09:47 msv Target Version => 7.3.0
2017-05-19 15:36 abv Target Version 7.3.0 => 7.2.0
2017-07-21 11:17 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0*
2017-12-19 15:07 dipts File Added: 0028248.patch
2017-12-19 15:11 dipts Note Added: 0073035
2017-12-19 16:01 git Note Added: 0073036
2017-12-19 16:04 msv Assigned To jgv => msv
2017-12-19 16:05 msv Note Added: 0073037
2017-12-20 09:37 msv Status assigned => resolved
2017-12-20 09:37 msv Note Added: 0073039
2017-12-20 09:37 msv Assigned To msv => bugmaster
2017-12-20 09:37 msv Status resolved => reviewed
2017-12-20 10:08 bugmaster Test case number => bugs modalg_7 bug28248
2017-12-20 10:18 bugmaster Note Added: 0073040
2017-12-20 10:18 bugmaster Status reviewed => tested
2017-12-23 12:07 bugmaster Changeset attached => occt master 0ab4e621
2017-12-23 12:07 bugmaster Status tested => verified
2017-12-23 12:07 bugmaster Resolution open => fixed
2018-01-11 11:10 git Note Added: 0073305
2018-02-20 12:58 aiv Target Version 7.4.0* => 7.3.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker